import request from '@/utils/request'

// 查询数据管理列表
export function listData(query) {
  return request({
    url: '/system/data/list',
    method: 'get',
    params: query
  })
}

// 根据算法类型查询数据
export function getDataByType(Type) {
  return request({
    url: '/system/data/getDataByType/' + Type,
    method: 'get'
  })
}

// 查询预处理数据列表
export function preprocessList(query) {
  return request({
    url: '/system/data/preprocess/list',
    method: 'get',
    params: query
  })
}

// 查询数据管理详细
export function getData(id) {
  return request({
    url: '/system/data/' + id,
    method: 'get'
  })
}

// 新增数据管理
export function addData(data) {
  return request({
    url: '/system/data',
    method: 'post',
    data: data
  })
}

// 修改数据管理
export function updateData(data) {
  return request({
    url: '/system/data',
    method: 'put',
    data: data
  })
}

// 删除数据管理
export function delData(id) {
  return request({
    url: '/system/data/' + id,
    method: 'delete'
  })
}
